// Code generated by MockGen. DO NOT EDIT.
// Source: github.com/xescugc/smf/worker/fetcher (interfaces: Factory)

// Package mock is a generated GoMock package.
package mock

import (
	gomock "github.com/golang/mock/gomock"
	channel "github.com/xescugc/smf/interops/channel"
	fetcher "github.com/xescugc/smf/worker/fetcher"
	reflect "reflect"
)

// FetcherFactory is a mock of Factory interface
type FetcherFactory struct {
	ctrl     *gomock.Controller
	recorder *FetcherFactoryMockRecorder
}

// FetcherFactoryMockRecorder is the mock recorder for FetcherFactory
type FetcherFactoryMockRecorder struct {
	mock *FetcherFactory
}

// NewFetcherFactory creates a new mock instance
func NewFetcherFactory(ctrl *gomock.Controller) *FetcherFactory {
	mock := &FetcherFactory{ctrl: ctrl}
	mock.recorder = &FetcherFactoryMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use
func (m *FetcherFactory) EXPECT() *FetcherFactoryMockRecorder {
	return m.recorder
}

// Get mocks base method
func (m *FetcherFactory) Get(arg0 channel.Type) (fetcher.Fetcher, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Get", arg0)
	ret0, _ := ret[0].(fetcher.Fetcher)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Get indicates an expected call of Get
func (mr *FetcherFactoryMockRecorder) Get(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Get", reflect.TypeOf((*FetcherFactory)(nil).Get), arg0)
}
